Create verification public link
curl --request POST \
--url https://api.dataspike.io/api/v3/profiles/{profile_id}/link \
--header 'Content-Type: application/json' \
--header 'ds-api-token: <api-key>' \
--data '
{
"expiration_in_minutes": 240
}
'import requests
url = "https://api.dataspike.io/api/v3/profiles/{profile_id}/link"
payload = { "expiration_in_minutes": 240 }
headers = {
"ds-api-token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'ds-api-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({expiration_in_minutes: 240})
};
fetch('https://api.dataspike.io/api/v3/profiles/{profile_id}/link', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dataspike.io/api/v3/profiles/{profile_id}/link",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'expiration_in_minutes' => 240
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"ds-api-token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.dataspike.io/api/v3/profiles/{profile_id}/link"
payload := strings.NewReader("{\n \"expiration_in_minutes\": 240\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("ds-api-token", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.dataspike.io/api/v3/profiles/{profile_id}/link")
.header("ds-api-token", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"expiration_in_minutes\": 240\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.dataspike.io/api/v3/profiles/{profile_id}/link")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["ds-api-token"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"expiration_in_minutes\": 240\n}"
response = http.request(request)
puts response.read_body{
"link_id": "LI2V0BVmLfGFQZbZQ3B7CeH3"
}{
"message": "Bad request"
}Verification links
Create verification public link
Create verification public link. Verification created with this link will be use this profile. Only one link can be created for one profile.
POST
/
api
/
v3
/
profiles
/
{profile_id}
/
link
Create verification public link
curl --request POST \
--url https://api.dataspike.io/api/v3/profiles/{profile_id}/link \
--header 'Content-Type: application/json' \
--header 'ds-api-token: <api-key>' \
--data '
{
"expiration_in_minutes": 240
}
'import requests
url = "https://api.dataspike.io/api/v3/profiles/{profile_id}/link"
payload = { "expiration_in_minutes": 240 }
headers = {
"ds-api-token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'ds-api-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({expiration_in_minutes: 240})
};
fetch('https://api.dataspike.io/api/v3/profiles/{profile_id}/link', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dataspike.io/api/v3/profiles/{profile_id}/link",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'expiration_in_minutes' => 240
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"ds-api-token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.dataspike.io/api/v3/profiles/{profile_id}/link"
payload := strings.NewReader("{\n \"expiration_in_minutes\": 240\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("ds-api-token", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.dataspike.io/api/v3/profiles/{profile_id}/link")
.header("ds-api-token", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"expiration_in_minutes\": 240\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.dataspike.io/api/v3/profiles/{profile_id}/link")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["ds-api-token"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"expiration_in_minutes\": 240\n}"
response = http.request(request)
puts response.read_body{
"link_id": "LI2V0BVmLfGFQZbZQ3B7CeH3"
}{
"message": "Bad request"
}Path Parameters
Body
application/json
Verification Link payload